package com.elitesland.metadata.repo;

import com.elitesland.metadata.entity.MetaCatDefDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <pre>作用说明</pre>
 *
 * @author mir
 * @date 11/29/2020 12:23 AM
 */
@Repository
public interface MetaCatDefRepo extends JpaRepository<MetaCatDefDO, Long>, QuerydslPredicateExecutor<MetaCatDefDO> {

    List<MetaCatDefDO> findAllByTableCodeOrderBySortNo(String tableCode);
}
